html, body {
    margin: 0;
    padding: 0;
    font-family: Arial, Helvetica, sans-serif;
    overflow: visible;

}

.important {
    height: auto !important;
    position: relative !important;
}
/*
.full {
    height: 200vh;
    background: #FFFFFF;
    background: radial-gradient(circle, rgba(255, 255, 255, 1) 20%, rgba(69, 105, 144, 0.75) 15%, rgba(255, 255, 255, 1) 40%, rgba(69, 105, 144, 0.75) 35%, rgba(255, 255, 255, 1) 60%, rgba(69, 105, 144, 0.75) 55%, rgba(255, 255, 255, 1) 75%);
    background-repeat: no-repeat;
    background-size: cover;
}
*/

html.full {
    min-height: 100%; 
    
    background: #FFFFFF;
    background: radial-gradient(circle, 
        rgba(255, 255, 255, 1) 20%, 
        rgba(69, 105, 144, 0.75) 15%, 
        rgba(255, 255, 255, 1) 40%, 
        rgba(69, 105, 144, 0.75) 35%, 
        rgba(255, 255, 255, 1) 60%, 
        rgba(69, 105, 144, 0.75) 55%, 
        rgba(255, 255, 255, 1) 75%
    );

    background-attachment: fixed; 
    background-size: cover;
    background-repeat: no-repeat;
}

body {
    margin: 0;
    min-height: 100vh;
}


.half {
    height: 100vh;
    background: #FFFFFF;
    background: radial-gradient(circle at 50% 100vh, rgba(255, 255, 255, 1) 20%, rgba(69, 105, 144, 0.75) 15%, rgba(255, 255, 255, 1) 40%, rgba(69, 105, 144, 0.75) 35%, rgba(255, 255, 255, 1) 60%, rgba(69, 105, 144, 0.75) 55%, rgba(255, 255, 255, 1) 75%);
    background-repeat: no-repeat;
    background-size: cover;
}


a {
    text-decoration: none;
    color: black;
}

header {
    display: flex;
    margin: 15px;
    padding: 5px;
}

#header-container{
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    width: 100%;
    padding-left: 40px;
    padding-right: 40px;
}

#header-logo {
    height: 50px;
    width: auto;
}

#header-logo:hover {
    transition: all 0.2s;
    transform: rotate(5deg);
    scale: 1.1;
}

#header-logo:active {
    scale: 0.9;
    transform: rotate(-5deg);
}

#header-url {
    height: 70px;
}

#earth-draw {
    width: 20vw;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: -1;

}

main {
    display: flex;
    flex-direction: column;
    margin: 0;
    padding: 0;
    justify-content: space-between;
    align-items: center;

}

.full-main {
    height: 160vh;
}

/* PARA PUBLICAR CON MD */

main#content {
    padding: 20px;
    max-width: 800px;
    margin: 0 auto;
    background-color: white;
    border-radius: 30px;
}

main#content img {
    max-width: 50%;
    height: auto;
    display: block;
    margin: 20px auto;
    border-radius: 8px;
}

main#content h1 { color: black; }

main#content p {
    text-align: justify;
    /* Esto elimina los cortes de palabras como exposi-ción */
    hyphens: none; 
    -webkit-hyphens: none;
    -ms-hyphens: none;

    /* Mejora la distribución del espacio entre palabras al justificar */
    text-justify: inter-word; 
    
    line-height: 1.6; /* Un poco de aire entre líneas ayuda a la lectura */
    width: 80%;
}